curl --request GET \
--url https://api.ctrl-hub.com/v3/actions/{action_id} \
--header 'X-Session-Token: <api-key>'import requests
url = "https://api.ctrl-hub.com/v3/actions/{action_id}"
headers = {"X-Session-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Session-Token': '<api-key>'}};
fetch('https://api.ctrl-hub.com/v3/actions/{action_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"attributes": {
"title": "<string>",
"priority": "normal",
"body": "<string>",
"closed_at": "2023-11-07T05:31:56Z",
"due_at": "2023-11-07T05:31:56Z"
},
"meta": {
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"organisation": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
},
"assigned_users": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
]
},
"assigned_teams": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
]
},
"form_submission": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
},
"triggering_job_role": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
},
"closed_by": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
}
}
},
"jsonapi": {
"version": "<string>"
},
"included": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"attributes": {
"email": "jsmith@example.com",
"identities": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platform": "<string>",
"meta": {}
}
],
"profile": {
"work": {
"occupation": "<string>",
"cscs": "<string>",
"eusr": "<string>",
"start_date": "2023-12-25"
},
"personal": {
"first_name": "<string>",
"last_name": "<string>",
"dob": "2023-12-25",
"username": "<string>"
},
"contact": {
"mobile": "<string>",
"landline": "<string>"
},
"address": {
"number": "",
"street": "<string>",
"area": "<string>",
"town": "<string>",
"county": "<string>",
"postcode": "<string>",
"country_code": "<string>",
"what3words": "<string>"
},
"settings": {
"preferred_language": "en-GB",
"timezone": "<string>"
}
}
},
"meta": {},
"relationships": {
"organisations": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
]
},
"teams": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
]
},
"managing_organisation": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
}
}
}
]
}{
"id": "98ca4a78-b66f-4234-9719-aaf832ee6669",
"status": "400",
"title": "A validation error was encountered",
"source": {
"parameter": "include"
},
"meta": {
"resource": "wrong_value"
}
}{
"id": "05fc9c8d-73b9-4697-9337-57f7a567a48f",
"status": "401",
"title": "You are not authorised to access this resource",
"detail": "In order to access this resource, you need the 'admin' role.",
"code": "AUTH.001"
}{
"id": "7b4c8f12-3e9a-4d5b-8c6f-1a2b3c4d5e6f",
"status": "404",
"title": "Resource not found",
"detail": "The requested resource could not be found or does not exist.",
"code": "NOT_FOUND.001"
}{
"id": "fe9d9a69-f0a7-4fdc-bb2c-176027f316c5",
"status": "500",
"title": "Internal Server Error",
"detail": "An unexpected error occurred on the server."
}Get an action
Get an individual action by its ID.
Authorizations
Session token for authentication.
Path Parameters
The unique identifier for the action.
Query Parameters
A comma separated list of related resources to include.
assigned_users, assigned_teams, form_submission, triggering_job_role, closed_by Response
Get an action.
JSON API response object
An action is a piece of work that needs doing, assigned to one or more users
and/or teams. It has a lifecycle state (open / closed), a priority, an
optional due date, and an optional polymorphic link back to whatever produced
it (in v1, a form submission). Actions are produced both manually and by
domain producers such as the data-capture workflow runner.
The subject is optional. When present, exactly the relationship matching
subject_type is populated (v1: subject_type is form-submissions, so
form_submission is the populated relationship). Manual actions can have no
subject at all.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Related resources that can be included when an action is returned.
A user
- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes